Bank Match
Confirm a bank-match
Record that a bank-feed row corresponds to a DualEntry transaction (or a single
POST
/
public
/
v2
/
bank-match
/
matches
/
Confirm a bank-match
curl --request POST \
--url https://api.dualentry.com/public/v2/bank-match/matches/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"financial_transaction_id": 123,
"transaction_id": 123,
"entry_id": 123
}
'import requests
url = "https://api.dualentry.com/public/v2/bank-match/matches/"
payload = {
"financial_transaction_id": 123,
"transaction_id": 123,
"entry_id": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({financial_transaction_id: 123, transaction_id: 123, entry_id: 123})
};
fetch('https://api.dualentry.com/public/v2/bank-match/matches/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"errors": {}
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Body
application/json
Body for POST /matches/. Pair one bank-feed row with one DualEntry target.
ID of the bank-feed row to match (from /bank-transactions/).
DualEntry transaction id to match against. Pass this or entry_id, not both.
DualEntry entry id to match against (use for partial matches like a single line of a journal entry). Pass this or transaction_id.
Last modified on July 13, 2026
Was this page helpful?
⌘I
Confirm a bank-match
